
import 'package:camerakit/CameraKitView.dart';
import 'package:flutter/widgets.dart';

class CameraKitController{
  CameraKitView cameraKitView;



  pauseCamera() {
    cameraKitView.viewState.controller.pauseCamera();
  }

  closeCamera() {
    cameraKitView.viewState.controller.closeCamera();
  }

  resumeCamera() {
    cameraKitView.viewState.controller.resumeCamera();
  }


  takePicture({CameraFlashMode captureFlashMode}) {
    cameraKitView.viewState.controller.takePicture(captureFlashMode);
  }

  changeFlashMode(CameraFlashMode captureFlashMode) {
    cameraKitView.viewState.controller.changeFlashMode(captureFlashMode);
  }

  void setView(CameraKitView cameraKitView) {
    this.cameraKitView = cameraKitView;
  }
}